Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10805
Description

More symbols are available for inclusion in QGIS (eg http://gfoss.it/drupal/node/66). Tim noted that
adding a large library of free svgs caused considerable slowdowns in the dialogs that display svgs for symbol selection, so if its a large
archive we will need to consider using a file selection dialog rather to let the user choose their symbols

History

#1 - 2009-07-23 05:38 AM - Paolo Cavallini

Even better: it would be good to have a common repo for symbols (much like the one for python plugins), with the possibility for users to up and download

symbol sets in their home directory

#2 - 2009-07-23 07:08 AM - Giovanni Manghi

to start it would be enough to have a selector for the categories and then have just the symbols for that specific category shown in the dialog box.

Together with the symbols now available here #1694 it would be possible to fill the hole of the lack of symbols in ggis.

#3 - 2009-07-23 09:14 AM - matter -

So, this ticket has been open for 2 years. Is there at least a howto to replicate what Tim noted?: "adding a large library of free svgs caused considerable

slowdowns in the dialogs that display svgs for symbol selection"

Does that still happen with the latest builds of qGIS? | would love to see instructions on how Tim got the SVGs to show up in the first place, as | want my

copy to get rid of a bunch of the ones | don't use, and add the Geology ones so | can use my maps for work. Thanks for the info!

#4 - 2009-07-24 02:06 AM - Giovanni Manghi

Replying to [comment:3 matter]:

So, this ticket has been open for 2 years. Is there at least a howto to replicate what Tim noted?: "adding a large library of free svgs caused
considerable slowdowns in the dialogs that display svgs for symbol selection”

Does that still happen with the latest builds of qGIS? | would love to see instructions on how Tim got the SVGs to show up in the first place, as |

want my copy to get rid of a bunch of the ones | don't use, and add the Geology ones so | can use my maps for work. Thanks for the info!

Adding a few symbols (I tested 30/40) is not a big problem as qgis doesn't slow when you open the dialog box. It is probably different if you add hundreds,
also because it would be impossible to find what is needed. The solution passes by creating a selector for categories/sub categories and show just the
http://gfoss.it/drupal/node/66

symbols for that particular category.

#5 - 2009-07-24 04:58 AM - matter -
Replying to [comment:4 lutra]:
Adding a few symbols (I tested 30/40) is not a big problem as qgis doesn't slow when you open the dialog box. It is probably different if you add

hundreds, also because it would be impossible to find what is needed. The solution passes by creating a selector for categories/sub categories and

show just the symbols for that particular category.

How did you get gGIS to "see" the symbols? | use qGIS in Linux, and When | add additional symbols to /usr/share/qgis/svg/ they do no show up in any of
the dialogs in gGIS. Is there a configuration file that | need to change, or something in the terminal? Can you post your method for testing the 30/40 you

mentioned? Thanks,

Matt

#6 - 2009-07-24 10:19 AM - Giovanni Manghi
Replying to [comment:5 matter]:
How did you get qGIS to "see" the symbols? | use qGIS in Linux, and When | add additional symbols to /usr/share/qgis/svg/ they do no show up in

any of the dialogs in qGIS. Is there a configuration file that | need to change, or something in the terminal? Can you post your method for testing the
30/40 you mentioned? Thanks,

Add the folder with your symbols in the images/svg folder that you can find where you have the qgis source code. Than modify the CMakeLists.txt list file by

adding the new folder and then recompile.

#7 - 2009-11-30 12:38 AM - Giovanni Manghi
- Resolution set to fixed

- Status changed from Open to Closed

Users can now add new svg symbols by going in "options -> svg and rendering -> svg paths".
